# List live content items

Fetches published content items by their identifiers from the Edge Delivery API.

Endpoint: POST /api/v1/content-items/live
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Query parameters:

  - `environmentId` (string)
    The environment identifier. Defaults to "main". Currently only "main" is supported.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    The request data.

## Request fields (application/json):

  - `id` (string, required)
    The content item identifier.
    Example: 8f0b81bc-7388-46be-b109-6e73d1114470

  - `language` (string, required)
    The language of the content item.
    Example: en-US

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `id` (string)
    The identifier of the content item.
    Example: 110d559f-dea5-42ea-9c1c-8a5df7e70ef9

  - `name` (string)
    The name of the content item.
    Example: My Content Item

  - `displayName` (string)
    The display name of the content item.
    Example: My Content Item Display Name

  - `path` (string)
    The path of the content item.
    Example: /sitecore/content/MySite/Data/MyContentItem

  - `language` (string)
    The language of the content item.
    Example: en

  - `version` (integer)
    The version number of the content item.
    Example: 1

  - `cdn` (object)
    Represents the CDN information for a live content item.

  - `cdn.availabilityDate` (string)
    The availability date.
    Example: 2024-06-01T00:00:00Z

  - `cdn.unavailabilityDate` (string)
    The unavailability date.
    Example: 2024-06-01T00:00:00Z

  - `cdn.onDemandAvailability` (boolean)
    Indicates whether the content item is currently available on demand.
    Example: true

## Response 400:

  - `400` (unknown)
    Invalid input format

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

